Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.database
Class AsyncDbWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.AbstractAsyncWriter
              kieker.monitoring.writer.database.AsyncDbWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

    public final class AsyncDbWriter

extends AbstractAsyncWriter

Stores monitoring data into a database. Warning! This class is an academic prototype and not intended for usage in any critical system.

Since:
  < 0.9
Author:
  Jan Waller

Field Summary
`static String` | `CONFIG_CONNECTIONSTRING`
`static String` | `CONFIG_DRIVERCLASSNAME`
`static String` | `CONFIG_NRCONN`
`static String` | `CONFIG_OVERWRITE`
`static String` | `CONFIG_TABLEPREFIX`

Fields inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`CONFIG_BEHAVIOR, CONFIG_PRIORITIZED_QUEUESIZE, CONFIG_QUEUESIZE, CONFIG_SHUTDOWNDELAY`

Constructor Summary
`AsyncDbWriter(Configuration configuration)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `init()` Implementing classes should indicate an initialization error by throwing an `Exception`.

Methods inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`newMonitoringRecord, newMonitoringRecordNonBlocking, terminate, toString`

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`setController`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_DRIVERCLASSNAME

    public static final String CONFIG_DRIVERCLASSNAME

### CONFIG_CONNECTIONSTRING

    public static final String CONFIG_CONNECTIONSTRING

### CONFIG_TABLEPREFIX

    public static final String CONFIG_TABLEPREFIX

### CONFIG_NRCONN

    public static final String CONFIG_NRCONN

### CONFIG_OVERWRITE

    public static final String CONFIG_OVERWRITE

Constructor Detail

### AsyncDbWriter

    public AsyncDbWriter(Configuration configuration)
                  throws Exception

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this writer.
  Throws:
    `Exception` - If something went wrong during the initialization of the writer.

Method Detail

### init

    public void init()
              throws Exception

  Description copied from class: `AbstractMonitoringWriter`
  Implementing classes should indicate an initialization error by throwing an `Exception`.

  Throws:
    `Exception` - If something during the initialization went wrong.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net